Loading...
Searching...
No Matches
Qore::Reflection::AbstractClassMember Class Reference

This class provides information about Qore class members. More...

`#include <QC_AbstractClassMember.dox.h>`

Inheritance diagram for Qore::Reflection::AbstractClassMember:

## Public Member Functions

| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
string | getAccessModifierString ()
| returns a string for the access modifier for the member
AbstractClass | getClass ()
| Returns the class for the member.
list< string > | getModifierList ()
| returns a list of strings of modifiers describing the member
int | getModifiers ()
| returns a bitfield of modifiers describing the member
bool | isBuiltin ()
| returns True if the class defining the member is a builtin class
bool | isStatic ()
| returns True if the member is static
bool | isTransient ()
| returns True if the member is transient
bool | isUser ()
| returns True if the class defining the member is a user class
Public Member Functions inherited from Qore::Reflection::AbstractMember
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
auto | getDefaultValue ()
| Returns the default value for the member or NOTHING if the member has no default value.
string | getName ()
| returns the member's name
hash< SourceLocationInfo > | getSourceLocation ()
| Returns the source location of the member declaration.
Type | getType ()
| Returns the type object for this member.
bool | isEqual (AbstractMember mem)
| Returns True if the AbstractMember object passed as an argument is equal to the current object; False if not.

## Detailed Description

This class provides information about Qore class members.

Restrictions:
  Qore::PO_NO_REFLECTION

Since
  Qore 0.9.0

## Member Function Documentation

## constructor()

Qore::Reflection::AbstractClassMember::constructor | ( |  | ) |

Throws an exception; this class cannot be created directly or used in a user class hierarchy.

Exceptions

  ABSTRACTCLASSMEMBER-CONSTRUCTOR-ERROR | the AbstractClassMember class cannot be constructed directly or inherited directly by a user-defined class

## getAccessModifierString()

string Qore::Reflection::AbstractClassMember::getAccessModifierString | ( |  | ) |

returns a string for the access modifier for the member

Code Flags:
  RET_VALUE_ONLY

Example:
  string str = m.getAccessModifierString();

Returns
  a string for the access modifier for the member; possible values are:
  - `"private"`: gives the accessibility of the member
  - `"private:internal"`: gives the accessibility of the member
  - `"public"`: gives the accessibility of the member

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

See also
  - getModifierList()
  - getModifiers()

## getClass()

AbstractClass Qore::Reflection::AbstractClassMember::getClass | ( |  | ) |

Returns the class for the member.

Code Flags:
  CONSTANT

Example:
  AbstractClass cls = m.getClass();

Returns
  the class for the member

## getModifierList()

list< string > Qore::Reflection::AbstractClassMember::getModifierList | ( |  | ) |

returns a list of strings of modifiers describing the member

Code Flags:
  RET_VALUE_ONLY

Example:
  list<string> l = m.getModifierList();

Returns
  list of strings of modifiers describing the member; possible values are:
  - `"private"`: gives the accessibility of the member
  - `"private:internal"`: gives the accessibility of the member
  - `"public"`: gives the accessibility of the member
  - `"static"`: the member is static
  - `"transient"`: the member is transient

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

See also
  getModifiers()

## getModifiers()

int Qore::Reflection::AbstractClassMember::getModifiers | ( |  | ) |

returns a bitfield of modifiers describing the member

Code Flags:
  RET_VALUE_ONLY

Example:
  int i = mem.getModifiers();

Returns
  a bitfield of modifiers describing the member; possible values are:
  - MC_PRIVATE: gives the accessibility of the member
  - MC_PRIVATEINTERNAL: gives the accessibility of the member
  - MC_PUBLIC: gives the accessibility of the member
  - MC_STATIC: the member is static
  - MC_TRANSIENT: the member is transient

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

See also
  - getModifierList()
  - getAccessModifierString()

## isBuiltin()

bool Qore::Reflection::AbstractClassMember::isBuiltin | ( |  | ) |

returns True if the class defining the member is a builtin class

Code Flags:
  RET_VALUE_ONLY

Example:
  bool b = m.isBuiltin();

Returns
  True if the class defining the member is a builtin class

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

## isStatic()

bool Qore::Reflection::AbstractClassMember::isStatic | ( |  | ) |

returns True if the member is static

Code Flags:
  RET_VALUE_ONLY

Example:
  bool b = m.isStatic();

Returns
  True if the member is static

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

## isTransient()

bool Qore::Reflection::AbstractClassMember::isTransient | ( |  | ) |

returns True if the member is transient

Code Flags:
  RET_VALUE_ONLY

Example:
  bool b = m.isTransient();

Returns
  True if the member is transient

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

## isUser()

bool Qore::Reflection::AbstractClassMember::isUser | ( |  | ) |

returns True if the class defining the member is a user class

Code Flags:
  RET_VALUE_ONLY

Example:
  bool b = m.isUser();

Returns
  True if the class defining the member is a user class

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_AbstractClassMember.dox.h